/*
 * @Description: 
 * @Version: 2.0
 * @Author: Seven
 * @Date: 2023-08-24 15:02:40
 * @LastEditors: Seven
 * @LastEditTime: 2023-11-15 15:35:32
 */
#ifndef __MYFLASH_H__
#define __MYFLASH_H__
#include "board.h"

void Flash_RangeErase(uint32_t FlashAddress, uint32_t Size);
void Flash_BufferWrite(uint32_t address, uint32_t *p_buffer, uint32_t len);
void Flash_BufferRead(uint32_t address, uint32_t *buffer, uint32_t len);
void Flash_BufferRead_u8(uint32_t address, uint8_t *buffer, uint32_t len);
uint32_t Flash_DatalenRead(uint32_t address,uint32_t len);
void flash_test(void);
#endif // !
